com.hazelcast.jet.core

## Interface Processor.Context

- All Superinterfaces:
    ProcessorMetaSupplier.Context, ProcessorSupplier.Context
  All Known Implementing Classes:
    TestProcessorContext
  Enclosing interface:
    Processor

      public static interface Processor.Context
      extends ProcessorSupplier.Context

  Context passed to the processor in the `init()` call.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `globalProcessorIndex()` Returns the index of the processor among all the processors created for this vertex on all nodes: it's a unique cluster-wide index.
    `int` | `localProcessorIndex()` Returns the index of the processor among all the processors created for this vertex on a single node: it's a unique node-wide index.
    `ILogger` | `logger()` Return a logger for the processor

    - ### Methods inherited from interface com.hazelcast.jet.core.ProcessorSupplier.Context

      `memberIndex`

    - ### Methods inherited from interface com.hazelcast.jet.core.ProcessorMetaSupplier.Context

      `executionId, jetInstance, jobConfig, jobId, localParallelism, memberCount, processingGuarantee, snapshottingEnabled, totalParallelism, vertexName`

- - ### Method Detail

    - #### logger

          @Nonnull
          ILogger logger()

      Return a logger for the processor
      Specified by:
        `logger` in interface `ProcessorMetaSupplier.Context`
      Specified by:
        `logger` in interface `ProcessorSupplier.Context`

    - #### localProcessorIndex

          int localProcessorIndex()

      Returns the index of the processor among all the processors created for this vertex on a single node: it's a unique node-wide index.

      The value is in the range `[0...localParallelism-1]`.

    - #### globalProcessorIndex

          int globalProcessorIndex()

      Returns the index of the processor among all the processors created for this vertex on all nodes: it's a unique cluster-wide index.

      The value is in the range `[0...totalParallelism-1]`. For example if there are 2 members in the cluster and local parallelism is 4, the processors on the 1st cluster member will have indexes 0..3 and on the second member they will have indexes 4..7.

Copyright © 2019. All rights reserved.